d1 = open("nomer")
getfirst(d1)
nom = 'Номер_док.'.d1
close(d1)

d = open("pko")
if Find(d,1,1,nom) != 0 then  goto 900

rpt_open ("pkonew.rep")

    rpt_write ("Номер_док.",str('Номер_док.'.d,5,0))
    rpt_write ("Дата",fldtodate('Дата'.d))
    rpt_write ("Название",'Название'.d)
    rpt_write ("Основание",'Основание'.d)
    rpt_write ("Сумма",'Сумма'.d)
    rpt_write ("Номер",'Номер'.d)
    rpt_write ("Субсчет",'Субсчет'.d)
    rpt_write("Приложение1",'Прилож1'.d)
    rpt_write("Приложение2",'Прилож2'.d)

if 'НДС'.d != 0 then rpt_write("НДС",str('Сумма'.d*'НДС'.d/100,14,2))
if 'НДС'.d  = 0 then rpt_write("НДС"," ")
if 'НСП'.d !=0 & 'НДС'.d !=0 then rpt_write("НП",str(('Сумма'.d+'Сумма'.d*'НДС'.d/100)*'НСП'.d/100,14,2))
if 'НСП'.d !=0 & 'НДС'.d=0 then rpt_write("НП",str(('Сумма'.d)*'НСП'.d/100,14,2))
if 'НСП'.d =0 then rpt_write("НП"," ")

    prop  = spro('Сумма'.d)
    rpt_write("Пропись1",prop)

    dr=open("rekv")    
    getfirst(dr)
    rpt_write("Название1",'Название1'.dr)
    rpt_write("Название2",'Название2'.dr)
    rpt_write("Гл.бухг.",'Гл.бухг.'.dr)
    rpt_write("Кассир",'Кассир'.dr)

close(dr)
900  rpt_line
rpt_view
rpt_close
close(d)
end
